Package org.eclipse.rdf4j.repository.sparql.query

## Class InsertBindingSetCursor

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.repository.sparql.query.InsertBindingSetCursor

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class InsertBindingSetCursor
      extends IterationWrapper<BindingSet,​QueryEvaluationException>

  Adds more bindings to each of the results.
  Author:
    James Leigh

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InsertBindingSetCursor​(CloseableIteration<BindingSet,​QueryEvaluationException> delegate, BindingSet bindings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BindingSet` | `next()` | Returns the next element from the wrapped Iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `handleClose, hasNext, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### InsertBindingSetCursor

          public InsertBindingSetCursor​(CloseableIteration<BindingSet,​QueryEvaluationException> delegate,
                                        BindingSet bindings)

  - ### Method Detail

    - #### next

          public BindingSet next()
                          throws QueryEvaluationException

      Description copied from class: `IterationWrapper`
      Returns the next element from the wrapped Iteration.
      Specified by:
        `next` in interface `Iteration<BindingSet,​QueryEvaluationException>`
      Overrides:
        `next` in class `IterationWrapper<BindingSet,​QueryEvaluationException>`
      Returns:
        the next element in the iteration.
      Throws:
        `QueryEvaluationException`